## libobject-forkaware-perl 0.005

=== debian/changelog ===
libobject-forkaware-perl (0.005-2) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Bump debhelper from old 12 to 13.
  * Apply multi-arch hints. + libobject-forkaware-perl: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 04 Dec 2022 17:06:35 +0000

libobject-forkaware-perl (0.005-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 09 Jan 2021 13:12:23 +0100

libobject-forkaware-perl (0.005-1) unstable; urgency=medium

  * Initial release (closes: #893135).

 -- gregor herrmann <gregoa@debian.org>  Fri, 16 Mar 2018 20:37:11 +0100
