=== debian/control ===
Source: libobject-forkaware-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: libtest-fatal-perl,
                     libtest-warnings-perl,
                     perl
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libobject-forkaware-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libobject-forkaware-perl.git
Homepage: https://metacpan.org/release/Object-ForkAware

Package: libobject-forkaware-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends}
Multi-Arch: foreign
Description: module to make an object aware of process forks and threads
 Object::ForkAware invisibly wraps your object and makes it fork-aware,
 automatically checking $$ on every access and recreating the object if the
 process id changes. (The object is also thread-aware; if the thread id
 changes, the object is recreated in the same manner.)
 .
 The object can be safely used with type checks and various type constraint
 mechanisms, as isa() and can() respond as if they were being called against
 the contained object itself.
 .
 Rationale: If you've ever had an object representing a network connection to
 some server, or something else containing a socket, a filehandle, etc, and
 used it in a program that forks, and then forgot to close and reopen your
 socket/handle etc. in the new process, you'll know what chaos can ensue.
 Depending on the type of connection, you can have multiple processes trying
 to write to the same resource at once, or simultaneous reads getting each
 other's data, dogs and cats living together... It's horrible, and it's an
 easy problem to run into.
