=== debian/watch ===
version=4
https://metacpan.org/release/Object-ForkAware   .*/Object-ForkAware-v?@ANY_VERSION@@ARCHIVE_EXT@$
